{% extends "/admin/master.twig" %}

{% block title %}User editor{% endblock %}
{% block description %}Edit users{% endblock %}

{% block body %}

    <form class="ui form" id="form" method="POST" action="/admin/users/edit">

        <div class="ui error message"></div>

        <div class="ui centered grid">

            <div class="row">
                <div class="eight wide column">

                    <div class="field">
                        <label>Login*</label>
                        <input name="login" placeholder="Login" type="text" value="{{ e_user.name }}">
                    </div>

                    <div class="field">
                        <label>Password*</label>
                        <div class="ui action input">
                            <input name="pass" placeholder="Encrypted cannot be displayed" type="password"
                                   id="pass">
                            <button class="ui icon button" type="button" data-content="Generate random password"
                                    onclick='insertPassword(6, 2, 4, "pass")'>
                                <i class="random icon"></i>
                            </button>
                            <button class="ui icon button" type="button" data-content="Show/hide password"
                                    id="showhide" onclick="toggle_password('pass')">
                                <i class="grey eye icon"></i>
                            </button>
                        </div>
                    </div>

                    <div class="field">
                        <label>Email*</label>
                        <input name="email" placeholder="Email" type="text" value="{{ e_user.email }}">
                    </div>

                    <div class="field">
                        <label>Link</label>
                        <input name="link" placeholder="FiMFiction profile" type="text"
                               value="{{ e_user.link }}">
                    </div>

                    <div class="field">
                        <label>Avatar</label>
                        <input name="avatar" placeholder="Link to avatar" type="text"
                               value="{{ e_user.avatar }}">
                    </div>
                </div>

                <div class="one wide column"></div>

                <div class="seven wide column">

                    <div class="field">
                        <label>Title</label>
                        <input name="title" placeholder="User title" type="text" maxlength="40" value="{{ e_user.title }}">
                    </div>

                    <div class="field">
                        <label>Bio</label>
                        <textarea name="bio" placeholder="Bio">{{ e_user.bio }}</textarea>
                    </div>

                    <div class="field">
                        <label>Role*</label>
                        <select name="role" class="ui fluid search dropdown" id="search-select">
                            <option value="">Role</option>
                            {% for role in roles %}
                            <option value="{{ role.id }}" {{ role.id == e_user.role.id ? 'selected' }}>{{ role.name|capitalize }}</option>
                            {% endfor %}
                        </select>
                    </div>

                    <input name="id" type="hidden" value="{{ e_user.id }}">
                    <input type="hidden" name="token" value="{{ token }}">

                    <button class="ui massive fluid button" type="submit">Confirm</button>
                </div>
            </div>
        </div>
    </form>

    {% block header %}
        <script src="/js/generatePassword.js"></script>
        <script src="/js/showHidePassword.js"></script>
    {% endblock %}

    <script>
        $('.ui.form')
            .form({
                fields: {
                    login: {
                        identifier: 'login',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Please enter your login'
                            }
                        ]
                    },
                    email: {
                        identifier: 'email',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Please enter your email'
                            },
                            {
                                type: 'email',
                                prompt: 'Please enter valid email'
                            }
                        ]
                    }
                }
            })
        ;
    </script>

{% endblock %}
